Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79017 - mount mounts /home twice - fails to mount /home on boot
Summary: mount mounts /home twice - fails to mount /home on boot
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mount
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-04 16:33 UTC by Tom Connelly
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-04 16:33:10 UTC


Attachments (Terms of Use)

Description Tom Connelly 2002-12-04 16:33:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.2) Gecko/20021126

Description of problem:
Failed to mount /home on boot, when run mount -a or mount the /home fs manually,
mounts /home on /usr partition, then on correct partition.  Umount umounts both.
 STRANGE!


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
I think this is obvious if your system manifests this problem.  I have no idea
why is would happen on my system and not on another.  I didn't tweek anything,
this is a plain vanilla RH8 install.
	

Additional info:


See output of df -m, mtab, /proc/mounts, fstab, & e2label (Look at /home):

-ksh-2.05b$ df -m
Filesystem           1M-blocks      Used Available Use% Mounted on
/dev/hda1                  486        81       380  18% /
/dev/hda2                 3088        46      2886   2% /home
none                       125         0       124   0% /dev/shm
/dev/hda2                 4841      2055      2540  45% /usr
/dev/hda5                  687        62       591  10% /var
/dev/hda3                 3088        46      2886   2% /home
-ksh-2.05b$ cat /etc/mtab
/dev/hda1 / ext3 rw 0 0
none /proc proc rw 0 0
usbdevfs /proc/bus/usb usbdevfs rw 0 0
none /dev/pts devpts rw,gid=5,mode=620 0 0
/dev/hda2 /home ext3 rw 0 0
none /dev/shm tmpfs rw 0 0
/dev/hda2 /usr ext3 rw 0 0
/dev/hda5 /var ext3 rw 0 0
automount(pid705) /home autofs rw,fd=5,pgrp=705,minproto=2,maxproto=3 0 0
/dev/hda3 /home ext3 rw 0 0
-ksh-2.05b$ cat /proc/mounts
rootfs / rootfs rw 0 0
/dev/root / ext3 rw 0 0
/proc /proc proc rw 0 0
usbdevfs /proc/bus/usb usbdevfs rw 0 0
none /dev/pts devpts rw 0 0
/dev/hda2 /home ext3 rw 0 0
none /dev/shm tmpfs rw 0 0
/dev/hda2 /usr ext3 rw 0 0
/dev/hda5 /var ext3 rw 0 0
automount(pid705) /home autofs rw 0 0
/dev/hda3 /home ext3 rw 0 0

-ksh-2.05b$ cat /etc/fstab
LABEL=/                 /                       ext3    defaults        1 1
none                    /dev/pts                devpts  gid=5,mode=620  0 0
LABEL=/home             /home                   ext3    defaults        1 2
none                    /proc                   proc    defaults        0 0
none                    /dev/shm                tmpfs   defaults        0 0
LABEL=/usr              /usr                    ext3    defaults        1 2
LABEL=/var              /var                    ext3    defaults        1 2
/dev/hda6               swap                    swap    defaults        0 0
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,kudzu,ro 0 0
/dev/fd0                /mnt/floppy             auto    noauto,owner,kudzu 0 0

e2label output:

[root@penguinista tomc]# /sbin/e2label /dev/hda1
/
[root@penguinista tomc]# /sbin/e2label /dev/hda2
/usr
[root@penguinista tomc]# /sbin/e2label /dev/hda3
/home
[root@penguinista tomc]# /sbin/e2label /dev/hda5
/var

Comment 1 Elliot Lee 2002-12-10 16:10:01 UTC
You're running autofs, which is trying to handle /home. Turn it off


Note You need to log in before you can comment on or make changes to this bug.